Skip to main content
`Ctrl`+`K`

# DMPlexComputeProjection2Dto1D

Rewrite coordinates to be the 1D projection of the 2D coordinates

## Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexComputeProjection2Dto1D(PetscScalar coords[], PetscReal R[])

Not Collective

## Input/Output Parameter

- coords - The coordinates of a segment, on output the new y-coordinate, and 0 for x, an array of size 4, last two entries are unchanged

## Output Parameter

- R - The rotation which accomplishes the projection, array of size 4

## See Also

`DMPLEX`, `DMPlexComputeProjection3Dto1D()`, `DMPlexComputeProjection3Dto2D()`

## Level

developer

## Location

src/dm/impls/plex/plexgeometry.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages